Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface XMLRegistryMBean

public interface XMLRegistryMBean
extends ConfigurationMBean

Configure the behavior of JAXP (Java API for XML Parsing) in the server.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `addRegistryEntry(XMLRegistryEntryMBean entry)` Add a new Registry entry
`java.lang.String` | `getDocumentBuilderFactory()` Return the class name of the default DocumentBuilderFactory
`XMLRegistryEntryMBean[]` | `getRegistryEntries()` Return the registry of XML configurations by document type.
`java.lang.String` | `getSAXParserFactory()` Return the class name of the default SAXParserFactory
`boolean` | `removeRegistryEntry(XMLRegistryEntryMBean entry)` Remove an Registry entry
`void` | `setDocumentBuilderFactory(java.lang.String factoryClassName)` Set the default DocumentBuilderFactory
`void` | `setRegistryEntries(XMLRegistryEntryMBean[] entries)` Set the registry of XML configurations by document type.
`void` | `setSAXParserFactory(java.lang.String factoryClassName)` Set the default SAXParserFactory

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDocumentBuilderFactory

    public java.lang.String getDocumentBuilderFactory()

  Return the class name of the default DocumentBuilderFactory

  Default Value: "weblogic.apache.xerces.jaxp.DocumentBuilderFactoryImpl"

### setDocumentBuilderFactory

    public void setDocumentBuilderFactory(java.lang.String factoryClassName)
                                   throws javax.management.InvalidAttributeValueException

  Set the default DocumentBuilderFactory

  A dynamic MBean attribute

### getSAXParserFactory

    public java.lang.String getSAXParserFactory()

  Return the class name of the default SAXParserFactory

  Default Value: "weblogic.apache.xerces.jaxp.SAXParserFactoryImpl"

### setSAXParserFactory

    public void setSAXParserFactory(java.lang.String factoryClassName)
                             throws javax.management.InvalidAttributeValueException

  Set the default SAXParserFactory

  A dynamic MBean attribute

### addRegistryEntry

    public boolean addRegistryEntry(XMLRegistryEntryMBean entry)

  Add a new Registry entry

  A dynamic MBean attribute

### removeRegistryEntry

    public boolean removeRegistryEntry(XMLRegistryEntryMBean entry)

  Remove an Registry entry

  A dynamic MBean attribute

### getRegistryEntries

    public XMLRegistryEntryMBean[] getRegistryEntries()

  Return the registry of XML configurations by document type.

### setRegistryEntries

    public void setRegistryEntries(XMLRegistryEntryMBean[] entries)
                            throws javax.management.InvalidAttributeValueException

  Set the registry of XML configurations by document type.

  A dynamic MBean attribute
  A non-configurable MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD